package com.ruoyi.learn.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 文化知识点关系对象 learn_culture_knowledge
 * 
 * @author ruoyi
 * @date 2025-12-02
 */
public class LearnCultureKnowledge extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 年度 */
    @Excel(name = "年度")
    private Integer year;

    /** 查询年度 */
    @Excel(name = "查询年度")
    private Integer matchYear;

    /** 院校id */
    @Excel(name = "院校id")
    private Long universityId;

    private String directKey;

    /** 专业科目 */
    @Excel(name = "专业科目")
    private String subjects;

    /** 题型分布 */
    @Excel(name = "题型分布")
    private String questionTypes;

    /** 知识点列表 */
    @Excel(name = "知识点列表")
    private String knowledges;

    /** 适用省份 */
    @Excel(name = "适用省份")
    private String locations;

    /** 适用考生类型 */
    @Excel(name = "适用考生类型")
    private String examineeTypes;

    /** 总分 */
    @Excel(name = "总分")
    private Integer score;

    /** 时长 */
    @Excel(name = "时长")
    private Long time;

    /** 仿真模拟卷要求 */
    @Excel(name = "仿真模拟卷要求")
    private String conditions;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setYear(Integer year) 
    {
        this.year = year;
    }

    public Integer getYear() 
    {
        return year;
    }

    public Integer getMatchYear() {
        return matchYear;
    }

    public void setMatchYear(Integer matchYear) {
        this.matchYear = matchYear;
    }

    public void setUniversityId(Long universityId)
    {
        this.universityId = universityId;
    }

    public Long getUniversityId() 
    {
        return universityId;
    }

    public String getDirectKey() {
        return directKey;
    }

    public void setDirectKey(String directKey) {
        this.directKey = directKey;
    }

    public void setSubjects(String subjects)
    {
        this.subjects = subjects;
    }

    public String getSubjects() 
    {
        return subjects;
    }

    public void setQuestionTypes(String questionTypes) 
    {
        this.questionTypes = questionTypes;
    }

    public String getQuestionTypes() 
    {
        return questionTypes;
    }

    public void setKnowledges(String knowledges) 
    {
        this.knowledges = knowledges;
    }

    public String getKnowledges() 
    {
        return knowledges;
    }

    public void setLocations(String locations) 
    {
        this.locations = locations;
    }

    public String getLocations() 
    {
        return locations;
    }

    public void setExamineeTypes(String examineeTypes) 
    {
        this.examineeTypes = examineeTypes;
    }

    public String getExamineeTypes() 
    {
        return examineeTypes;
    }

    public void setScore(Integer score) 
    {
        this.score = score;
    }

    public Integer getScore() 
    {
        return score;
    }

    public void setTime(Long time) 
    {
        this.time = time;
    }

    public Long getTime() 
    {
        return time;
    }

    public void setConditions(String conditions) 
    {
        this.conditions = conditions;
    }

    public String getConditions() 
    {
        return conditions;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("universityId", getUniversityId())
            .append("subjects", getSubjects())
            .append("questionTypes", getQuestionTypes())
            .append("knowledges", getKnowledges())
            .append("locations", getLocations())
            .append("examineeTypes", getExamineeTypes())
            .append("score", getScore())
            .append("time", getTime())
            .append("conditions", getConditions())
            .toString();
    }
}
